classification
Title: No such file or directory: 'msisupport.dll' in msi.py
Type: behavior Stage: patch review
Components: Installation, Windows Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, brian.curtin, loewis, pds, python-dev, sable
Priority: normal Keywords:

Created on 2009-08-30 10:59 by pds, last changed 2012-02-21 17:12 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
patch.txt pds, 2009-08-30 10:59
Messages (7)
msg92086 - (view) Author: (pds) Date: 2009-08-30 10:59
Investigating the issue #6716 I reported earlier, I've been trying to
build Windows MSI installer package of Python 3.1 on my own.
I checked out the svn source, built things with Visual C++ 2008 Express
Edition, and tried to make MSI package in Tools\msi directory.
When I run Tools\msi\msi.py in Tools\msi directory, the following error
occurs:

Traceback (most recent call last):
  File "msi.py", line 178, in <module>
    if msilib.pe_type(dll_path) != msilib.pe_type("msisupport.dll"):
  File "E:\python31svnbuild\Tools\msi\msilib.py", line 665, in pe_type
    header = open(path, "rb").read(1000)
IOError: [Errno 2] No such file or directory: 'msisupport.dll'

It seems that msilib.pe_type("msisupport.dll") is called before
msisupport.dll is created.
I read msi.py and learned that msilib.pe_type("msisupport.dll") (line
178) is executed before os.system("nmake /nologo /c /f msisupport.mak")
(line 372) is executed in add_ui(), which is called at line 1299.
So I made a patch to make msi.py to see if the file "msisupport.dll"
exists, and if it does, check if the dll is for the correct architecture.
msg110006 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2010-07-11 13:33
Why did you assign this to me?  I don't know why my name is on this bug in the first place.

Is it possible you were thinking of another Larry?
msg110012 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-11 14:02
I didn't realise that I had, sorry!!!
msg145395 - (view) Author: Sébastien Sablé (sable) Date: 2011-10-12 15:20
I had the same issue today. The patch solved the problem.
Thanks
msg153879 - (view) Author: Roundup Robot (python-dev) Date: 2012-02-21 17:08
New changeset bc66484b0d73 by Martin v. Löwis in branch '3.2':
Issue #6807: Run msisupport.mak earlier.
http://hg.python.org/cpython/rev/bc66484b0d73
msg153880 - (view) Author: Roundup Robot (python-dev) Date: 2012-02-21 17:12
New changeset e78acdb54841 by Martin v. Löwis in branch '2.7':
Issue #6807: Run msisupport.mak earlier.
http://hg.python.org/cpython/rev/e78acdb54841
msg153881 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-02-21 17:12
This is now fixed, though in a different way.
History
Date User Action Args
2012-02-21 17:12:37loewissetstatus: open -> closed
resolution: fixed
messages: + msg153881
2012-02-21 17:12:08python-devsetmessages: + msg153880
2012-02-21 17:08:20python-devsetnosy: + python-dev
messages: + msg153879
2011-10-12 15:23:59brian.curtinsetnosy: + brian.curtin
components: + Windows
2011-10-12 15:20:09sablesetnosy: + sable
messages: + msg145395
2010-07-11 14:02:45BreamoreBoysetassignee: larry ->
messages: + msg110012
nosy: + BreamoreBoy, - larry
2010-07-11 13:33:40larrysetmessages: + msg110006
2010-07-11 09:25:45BreamoreBoysetassignee: larry
stage: patch review

nosy: + loewis, larry
versions: + Python 2.7, Python 3.2
2009-08-30 10:59:14pdscreate